Package org.jboss.resteasy.cdi

## Class JaxrsInjectionTarget<T>

- java.lang.Object
- - org.jboss.resteasy.cdi.JaxrsInjectionTarget<T>

- All Implemented Interfaces:
    `javax.enterprise.inject.spi.InjectionTarget<T>`, `javax.enterprise.inject.spi.Producer<T>`

      public class JaxrsInjectionTarget<T>
      extends Object
      implements javax.enterprise.inject.spi.InjectionTarget<T>

  This implementation of InjectionTarget is a wrapper that allows JAX-RS property injection to be performed just after CDI injection.
  Author:
    Jozef Hartinger

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JaxrsInjectionTarget​(javax.enterprise.inject.spi.InjectionTarget<T> delegate, Class<T> clazz)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `dispose​(T instance)` |
    `Set<javax.enterprise.inject.spi.InjectionPoint>` | `getInjectionPoints()` |
    `void` | `inject​(T instance, javax.enterprise.context.spi.CreationalContext<T> ctx)` |
    `void` | `postConstruct​(T instance)` |
    `void` | `preDestroy​(T instance)` |
    `T` | `produce​(javax.enterprise.context.spi.CreationalContext<T> ctx)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JaxrsInjectionTarget

          public JaxrsInjectionTarget​(javax.enterprise.inject.spi.InjectionTarget<T> delegate,
                                      Class<T> clazz)

  - ### Method Detail

    - #### inject

          public void inject​(T instance,
                             javax.enterprise.context.spi.CreationalContext<T> ctx)

      Specified by:
        `inject` in interface `javax.enterprise.inject.spi.InjectionTarget<T>`

    - #### postConstruct

          public void postConstruct​(T instance)

      Specified by:
        `postConstruct` in interface `javax.enterprise.inject.spi.InjectionTarget<T>`

    - #### preDestroy

          public void preDestroy​(T instance)

      Specified by:
        `preDestroy` in interface `javax.enterprise.inject.spi.InjectionTarget<T>`

    - #### dispose

          public void dispose​(T instance)

      Specified by:
        `dispose` in interface `javax.enterprise.inject.spi.Producer<T>`

    - #### getInjectionPoints

          public Set<javax.enterprise.inject.spi.InjectionPoint> getInjectionPoints()

      Specified by:
        `getInjectionPoints` in interface `javax.enterprise.inject.spi.Producer<T>`

    - #### produce

          public T produce​(javax.enterprise.context.spi.CreationalContext<T> ctx)

      Specified by:
        `produce` in interface `javax.enterprise.inject.spi.Producer<T>`